Show / Hide Table of Contents

# Class GuildEmote

An image-based emote that is attached to a guild.

##### Inheritance

System.Object
Emote
GuildEmote

##### Implements

IEmote
ISnowflakeEntity
IEntity<System.UInt64>

##### Inherited Members

Emote.Name
Emote.Id
Emote.Animated
Emote.CreatedAt
Emote.Url
Emote.Equals(Object)
Emote.GetHashCode()
Emote.Parse(String)
Emote.TryParse(String, Emote)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class GuildEmote : Emote, IEmote, ISnowflakeEntity, IEntity<ulong>

### Properties

| Improve this Doc View Source

#### CreatorId

Gets the user ID associated with the creation of this emoji.

##### Declaration

    public ulong? CreatorId { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.UInt64> | An System.UInt64 snowflake identifier representing the user who created this emoji; `null` if unknown.

| Improve this Doc View Source

#### IsManaged

Gets whether this emoji is managed by an integration.

##### Declaration

    public bool IsManaged { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | A boolean that determines whether or not this emote is managed by a Twitch integration.

| Improve this Doc View Source

#### RequireColons

Gets whether this emoji must be wrapped in colons.

##### Declaration

    public bool RequireColons { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | A boolean that determines whether or not this emote requires the use of colons in chat to be used.

| Improve this Doc View Source

#### RoleIds

Gets the roles that are allowed to use this emoji.

##### Declaration

    public IReadOnlyList<ulong> RoleIds { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyList<System.UInt64> | A read-only list containing snowflake identifiers for roles that are allowed to use this emoji.

### Methods

| Improve this Doc View Source

#### ToString()

Gets the raw representation of the emote.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String | A string representing the raw presentation of the emote (e.g. `<:thonkang:282745590985523200>`).

##### Overrides

Emote.ToString()

### Implements

IEmote
ISnowflakeEntity
IEntity<TId>